---
title: Get Providers
description: Once we select the utility, this API will display all the available providers for this utility in order to make a payment.
---

Once we select the utility, this API will display all the available providers for this utility in order to make a payment. We must pass utility id or provider id in request. If the request has valid details, we will get a status code, message: success/fail, provider details like name, id etc.

## POST

```
https://kraken.airpay.co.in/airpay/ms/partnerpay/api/get-providers
```

## Parameter

| Field       | Type   | Required | Description                                                        |
| ----------- | ------ | -------- | ------------------------------------------------------------------ |
| utility_id  | Number | Yes*     | Utility ID. Required if `provider_id` is not specified.            |
| provider_id | Number | Yes*     | Provider ID. Required if `utility_id` is not specified.            |
| checksum    | Text   | No       | Checksum as Base64 encoded value of `provider_id` and `utility_id` |
| page        | Number | No       | Page number used for pagination purpose                            |

## Request-Example:

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/partnerpay/api/get-providers' \
--header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsIng1dCI6IkhsQzBSMTJza3hOWjFXUXdtak9GXzZ0X3RERSIsImtpZCI6IkhsQzBSMTJza3hOWjFXUXdtak9GXzZ0X3RERSJ9.eyJhdWQiOiJodHRwczovL2V1cmVrYWZvcmJlcy1kZXYuY3JtOC5keW5hbWljcy5jb20vIiwiaXNzIjoiaHR0cHM6Ly9zdHMud2luZG93cy5uZXQvMDVhOTVlNWQtMDEyNS00M2QxLTk2MzUtYWYyMDNjMGZlOGM0LyIsImlhdCI6MTU4Mzc1OTU1NiwibmJmIjoxNTgzNzU5NTU2LCJleHAiOjE1ODM3NjM0NTYsImFpbyI6IjQyTmdZT2gxckl0U08vQmI0K0gyVDQ3VHI4akZBZ0E9IiwiYXBwaWQiOiJiYzVkNjU3Mi0zZmExLTQ0ZjEtYjFmNC0wMjhiYzBlMTgxYzMiLCJhcHBpZGFjciI6IjEiLCJpZHAiOiJodHRwczovL3N0cy53aW5kb3dzLm5ldC8wNWE5NWU1ZC0wMTI1LTQzZDEtOTYzNS1hZjIwM2MwZmU4YzQvIiwib2lkIjoiZTk1OGQ4Y2EtZTBlNC00MmRjLWFiZDgtYThlMGFjOGIyMDAwIiwic3ViIjoiZTk1OGQ4Y2EtZTBlNC00MmRjLWFiZDgtYThlMGFjOGIyMDAwIiwidGlkIjoiMDVhOTVlNWQtMDEyNS00M2QxLTk2MzUtYWYyMDNjMGZlOGM0IiwidXRpIjoiMmRGZlpabkZsRTZ6QnFRZS1WN2RBQSIsInZlciI6IjEuMCJ9.oGBL4yuHQNhrt3WPCr0qoCllLMtsVvwD3xWY-s0QyPhKg3f1fYC4z7l9f2LIYwsh4zSeRncqoFFkrtH8mvy1Ln-VCRaxin3idvcxze881bCbXn-Dkyh4gKUWOir8dSaVfJEz_Axq6JMJZy-87sbXg2ipUircblChWZMeV6E20OYMfCq1-eJDn1F34e4IpYMkTMG5Dvcqq47PBypTKA8MDVdqCnLLWZE2NKlJaeFsMXBtnecGRckrlHEVEPZFoZuQvYBqfNh2vLrj9lM3ESa3pOs7Wb7xD8wVgA8d3nSTWP8mV4PiThP5MDQuH-XlrI9VjH2zxtrxTOGs-CSy7oItzQ' \
--header 'Content-Type: application/x-www-form-urlencoded' \
 --data-urlencode 'utility_id= 27' \
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | Number | Status Code |
| msg | String | success/fail |
| data | array | Provider details |

## Success-Response:

```
{
    "status": 200,
    "msg": "success",
    "data": [
        {
            "BILLER_MASTER_ID": "342",
            "provider_name": "AirtelLandline",
            "provider_id": "293",
            "required_fields": "LandlineNumberwithSTDcode",
            "fields_validation": "^[0-9]{11}$",
            "biller_logo": "https://example.com/hg/images/billerlogo/ATLLI0000NAT01.gif",
            "biller_bill_copy": null,
            "check_amount_req": "instapay",
            "raw_fields": {
                "LandlineNumberwithSTDcode": {
                    "name": "LandlineNumber with STDcode",
                    "validation": "^[0-9]{11}$"
                }
            },
            "utility_id": "4",
            "partial_pay": "N",
            "payment_methods": [
                {
                    "payment_method": "BankAccount",
                    "min_limit": "1.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "CreditCard",
                    "min_limit": "1.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "DebitCard",
                    "min_limit": "1.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "UPI",
                    "min_limit": "1.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "Wallet",
                    "min_limit": "1.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                }
            ],
            "action_type": "instapay"
        },
        {
            "BILLER_MASTER_ID": "434",
            "provider_name": "BSNLlandline -Corporate",
            "provider_id": "376",
            "required_fields": "AccountNumber",
            "fields_validation": "^[0-9]{10}$",
            "biller_logo": "https://example.com/hg/images/billerlogo/BSNL00000NATPZ.gif",
            "biller_bill_copy": null,
            "check_amount_req": "instapay",
            "raw_fields": {
                "AccountNumber": {
                    "name": "AccountNumber",
                    "validation": "^[0-9]{10}$"
                }
            },
            "utility_id": "4",
            "partial_pay": "N",
            "payment_methods": [
                {
                    "payment_method": "BankAccount",
                    "min_limit": "1.00",
                    "max_limit": "1000000.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "CreditCard",
                    "min_limit": "1.00",
                    "max_limit": "1000000.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "DebitCard",
                    "min_limit": "1.00",
                    "max_limit": "1000000.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "UPI",
                    "min_limit": "1.00",
                    "max_limit": "1000000.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "Wallet",
                    "min_limit": "1.00",
                    "max_limit": "1000000.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                }
            ],
            "action_type": "instapay"
        },
        {
            "BILLER_MASTER_ID": "427",
            "provider_name": "BSNLlandline -Individiual",
            "provider_id": "371",
            "required_fields": "TelephoneNumber",
            "fields_validation": "^[0-9]{10}$",
            "biller_logo": "https://example.com/hg/images/billerlogo/BSNL00000NAT5C.gif",
            "biller_bill_copy": null,
            "check_amount_req": "instapay",
            "raw_fields": {
                "TelephoneNumber": {
                    "name": "TelephoneNumber",
                    "validation": "^[0-9]{10}$"
                }
            },
            "utility_id": "4",
            "partial_pay": "N",
            "payment_methods": [
                {
                    "payment_method": "BankAccount",
                    "min_limit": "1.00",
                    "max_limit": "1000000.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "CreditCard",
                    "min_limit": "1.00",
                    "max_limit": "1000000.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "DebitCard",
                    "min_limit": "1.00",
                    "max_limit": "1000000.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "UPI",
                    "min_limit": "1.00",
                    "max_limit": "1000000.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "Wallet",
                    "min_limit": "1.00",
                    "max_limit": "1000000.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                }
            ],
            "action_type": "instapay"
        },
        {
            "BILLER_MASTER_ID": "61",
            "provider_name": "MTNLDelhi",
            "provider_id": "53",
            "required_fields": "TelephoneNumber|AccountNumber",
            "fields_validation": "^[0-9]{8}$::^[0-9]{10}$",
            "biller_logo": "https://example.com/hg/images/billerlogo/MTNL00000DEL01.gif",
            "biller_bill_copy": null,
            "check_amount_req": "instapay",
            "raw_fields": {
                "TelephoneNumber": {
                    "name": "TelephoneNumber",
                    "validation": "^[0-9]{8}$"
                },
                "AccountNumber": {
                    "name": "AccountNumber",
                    "validation": "^[0-9]{10}$"
                }
            },
            "utility_id": "4",
            "partial_pay": "N",
            "payment_methods": [
                {
                    "payment_method": "BankAccount",
                    "min_limit": "1.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "CreditCard",
                    "min_limit": "1.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "DebitCard",
                    "min_limit": "1.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "UPI",
                    "min_limit": "1.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "Wallet",
                    "min_limit": "1.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                }
            ],
            "action_type": "instapay"
        },
        {
            "BILLER_MASTER_ID": "60",
            "provider_name": "MTNLMumbai",
            "provider_id": "52",
            "required_fields": "TelephoneNumber|AccountNumber",
            "fields_validation": "^[0-9]{8}$::^[0-9]{10}$",
            "biller_logo": "https://example.com/hg/images/billerlogo/MTNL00000MUM01.gif",
            "biller_bill_copy": null,
            "check_amount_req": "instapay",
            "raw_fields": {
                "TelephoneNumber": {
                    "name": "TelephoneNumber",
                    "validation": "^[0-9]{8}$"
                },
                "AccountNumber": {
                    "name": "AccountNumber",
                    "validation": "^[0-9]{10}$"
                }
            },
            "utility_id": "4",
            "partial_pay": "N",
            "payment_methods": [
                {
                    "payment_method": "BankAccount",
                    "min_limit": "1.00",
                    "max_limit": "1000000.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "CreditCard",
                    "min_limit": "1.00",
                    "max_limit": "1000000.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "DebitCard",
                    "min_limit": "1.00",
                    "max_limit": "1000000.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "UPI",
                    "min_limit": "1.00",
                    "max_limit": "1000000.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "Wallet",
                    "min_limit": "1.00",
                    "max_limit": "1000000.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                }
            ],
            "action_type": "instapay"
        },
        {
            "BILLER_MASTER_ID": "17",
            "provider_name": "TataDocomo CDMALandline",
            "provider_id": "15",
            "required_fields": "LandlineNumberwithSTDCodewithout0|Amount",
            "fields_validation": "^[0-9]{9,10}$::^\\d{1,8}(?:\\.\\d{1,2})?$",
            "biller_logo": "https://example.com/hg/images/billerlogo/TATADLLI0NAT01.gif",
            "biller_bill_copy": null,
            "check_amount_req": "amount_field_required",
            "raw_fields": {
                "LandlineNumberwithSTDCodewithout0": {
                    "name": "LandlineNumber with STD Code (without0)",
                    "validation": "^[0-9]{9,10}$"
                },
                "Amount": {
                    "name": "Amount",
                    "validation": "^\\d{1,8}(?:\\.\\d{1,2})?$"
                }
            },
            "utility_id": "4",
            "partial_pay": "Y",
            "payment_methods": [
                {
                    "payment_method": "BankAccount",
                    "min_limit": "1.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "CreditCard",
                    "min_limit": "1.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "DebitCard",
                    "min_limit": "1.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "UPI",
                    "min_limit": "1.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                },
                {
                    "payment_method": "Wallet",
                    "min_limit": "1.00",
                    "autopay_allowed": "N",
                    "paylater_allowed": "N"
                }
            ],
            "action_type": "recharge"
        }
    ]
}
```